/***************************************************************************
 *   Copyright (C) 2004 by Diego 'Flameeyes' Petteno                       *
 *   dgp85@users.sourceforge.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _KDIGESTWIDGET_H_
#define _KDIGESTWIDGET_H_

#include "kdigestwidgetbase.h"

#include <kurl.h>

namespace KIO {
	class ListJob;
};

namespace KDigest {
	class DigestFile;
};

class KFileTreeView;
class KFileTreeBranch;
class KProgress;
class QSplitter;
class QIconViewItem;
class QListViewItem;
class KStatusBar;

using KDigest::DigestFile;

class kdigestWidget : public kdigestWidgetBase
{
Q_OBJECT
public:
	kdigestWidget(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~kdigestWidget();

public slots:

protected:
	QSplitter	*m_splitter;	///< Splitter for resize of m_allDirs
	KFileTreeView	*m_allDirs;	///< KFileTreeView with the directory structure
	KFileTreeBranch	*m_root;	///< Root folder in KFileTreeView
	
	KStatusBar	*m_statusBar;	///< Status Bar (in the Main Window)
	KProgress	*m_progress;	///< Progress bar (in the status bar)
	QLabel		*m_statusLabel;	///< Status label (in the status bar)
	
	KAction		*m_aCheck;	///< Check file action
	
	DigestFile	*m_file;	///< Digest file we are testing
	
	void changeDir(const KURL &newpath);
	void rereadEntries();
protected slots:
	void dirSelected();
	void fileExecuted(QIconViewItem* ivi);
	void checkFile();
};

#endif

